Skip to main content
GET
/
v2
/
webhook
/
endpoint
Endpoint - List
curl --request GET \
  --url https://api.dex.chainstream.io/v2/webhook/endpoint \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2",
      "url": "https://example.com",
      "channels": [
        "sol.token.migrated"
      ],
      "createdAt": "2021-01-01",
      "description": "Webhook description",
      "disabled": false,
      "filter": "<string>",
      "filterTypes": [
        "<string>"
      ],
      "metadata": {
        "key": "value"
      },
      "rateLimit": 1000,
      "updatedAt": "2021-01-01"
    }
  ],
  "done": false,
  "iterator": "eyJpZCI6MTAwfQ==",
  "prevIterator": "eyJpZCI6MTAwfQ=="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int64>

DTO.ENDPOINT.LIMIT

Required range: 1 <= x <= 100
iterator
string

DTO.ENDPOINT.ITERATOR

order
enum<string>

DTO.ENDPOINT.ORDER Ordering direction for paginated endpoint listing

Available options:
ascending,
descending

Response

200 - application/json

Successful response

Paginated list of webhook endpoints

data
object[]
required

DTO.ENDPOINT.PAGE.DATA

done
boolean
required

DTO.ENDPOINT.PAGE.DONE

Example:

false

iterator
string | null

DTO.ENDPOINT.PAGE.ITERATOR

Example:

"eyJpZCI6MTAwfQ=="

prevIterator
string | null

DTO.ENDPOINT.PAGE.PREV_ITERATOR

Example:

"eyJpZCI6MTAwfQ=="